from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.awt import XProgressBar

@runtime_checkable
class XProgressMonitor(XProgressBar, Protocol):
    def addText(self, Topic: str, Text: str, beforeProgress: bool) -> None: ...
    def removeText(self, Topic: str, beforeProgress: bool) -> None: ...
    def updateText(self, Topic: str, Text: str, beforeProgress: bool) -> None: ...
